PHP-инклюдинг в SuperMod

Дата публикации:
24.10.2006
Дата изменения:
24.10.2006
Всего просмотров:
1154
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SuperMod 3.x (YaBBSM)
Уязвимые версии: SuperMod (YaBBSM) 3.0.0, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "sourcedir" в сценариях Offline.php, Sources/Offline.php и content/portalshow.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/community/Offline.php?sourcedir=[file]

URL производителя: www.supermod.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA